| IDA SDK

Public Member Functions | List of all members
linearray_t Class Reference

## Detailed Description

The group of lines corresponding to a single place within a view.

## Public Member Functions
| linearray_t (void *_ud)
| Constructor.
| ~linearray_t (void)
| Constructor.
int | set_place (const place_t *new_at)
| Position the array. More...
place_t * | get_place (void) const
| Get the current place. More...
bgcolor_t | get_bg_color (void) const
| Get current background color. More...
bgcolor_t | get_pfx_color (void) const
| Get current prefix color. More...
int | get_dlnnum (void) const
| Get default line number. More...
int | get_linecnt (void) const
| Get number of lines for the current place. More...
void * | userdata (void) const
| Get pointer to user data.
void | set_userdata (void *userd)
| Change the user data.
bool | beginning (void) const
| Are we at the beginning?
bool | ending (void) const
const qstring * | down (void)
| Get a line from down direction. More...
const qstring * | up (void)
| Get a line from up direction. More...

## Member Function Documentation

## ◆ set_place()

int linearray_t::set_place | ( | const place_t * | new_at | ) |
| inline

Position the array.

This function must be called before calling any other member functions.

linearray_t doesn't own place_t structures. The caller must take care of place_t objects.

Parameters

  new_at | new position of the array

Returns
  the delta of lines that the linearray_t had to adjust the place by.
  For example, if the place_t has a lnnum of 5, but it turns out, upon generating lines,
  that the number of lines for that particular place is only 2, then 3 will be returned.

## ◆ get_place()

place_t * linearray_t::get_place | ( | void |  | ) | const
| inline

Get the current place.

If called before down(), then returns place of line which will be returned by down(). If called after up(), then returns place if line returned by up().

## ◆ get_bg_color()

bgcolor_t linearray_t::get_bg_color | ( | void |  | ) | const
| inline

Get current background color.

(the same behavior as with get_place(): good before down() and after up())

## ◆ get_pfx_color()

bgcolor_t linearray_t::get_pfx_color | ( | void |  | ) | const
| inline

Get current prefix color.

(the same behavior as with get_place(): good before down() and after up())

## ◆ get_dlnnum()

int linearray_t::get_dlnnum | ( | void |  | ) | const
| inline

Get default line number.

(the same behavior as with get_place(): good before down() and after up())

## ◆ get_linecnt()

int linearray_t::get_linecnt | ( | void |  | ) | const
| inline

Get number of lines for the current place.

(the same behavior as with get_place(): good before down() and after up())

## ◆ down()

const qstring * linearray_t::down | ( | void |  | ) |
| inline

Get a line from down direction.

place is ok BEFORE

## ◆ up()

const qstring * linearray_t::up | ( | void |  | ) |
| inline

Get a line from up direction.

place is ok AFTER

The documentation for this class was generated from the following file:

- kernwin.hpp